/* error.c
 * tab_size: 4
 */
#pragma hdrfile
#include <windows.h>
#pragma hdrstop

#include "error.h"

#define MAX_ERROR_LEN	256

/* msg_error() -- Used to put up an error message box using a string from the
 * string table in this application.
 * Input:
 *	hWndParent	- Handle of the parent window for the message box.
 *	wID	- ID of the string to put up.
 * Returns:
 *	Nothing.
 *
 * Note: Do not run msg_error to put up a message for low-memory conditions.
 * The resource containing the strings may fail to load.
 */
void msg_error(HWND hWndParent, WORD wID) {
	char error_str[MAX_ERROR_LEN + 1];
	extern HANDLE hInst;
	extern char szAppName[];
	
	if (LoadString(hInst, wID, error_str, MAX_ERROR_LEN) > 0) {
		MessageBeep(MB_ICONINFORMATION);
		MessageBox(hWndParent, error_str, szAppName, 
			MB_ICONINFORMATION | MB_OK | MB_APPLMODAL);
	}
}

/* msg_error() -- Used to put up an error message box using a string from the
 * string table in this application.
 * Input:
 *	hWndParent	- Handle of the parent window for the message box.
 *	error_str	- Pointer to the string to put up.
 * Returns:
 *	Nothing.
 *
 * Note: Do not run msg_error to put up a message for low-memory conditions.
 * The resource containing the strings may fail to load.
 */
void msg_error(HWND hWndParent, char *error_str) {
	extern HANDLE hInst;
	extern char szAppName[];
	
	MessageBeep(MB_ICONINFORMATION);
	MessageBox(hWndParent, error_str, szAppName, 
		MB_ICONINFORMATION | MB_OK | MB_APPLMODAL);
}
